import { html as l } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, v = Object.getOwnPropertyDescriptor, c = (n, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? v(t, o) : t, i = n.length - 1, p; i >= 0; i--)
    (p = n[i]) && (e = (r ? p(t, o, e) : p(e)) || e);
  return r && e && f(t, o, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--imageAdd", this.class = "c-pieIcon c-pieIcon--imageAdd", this.name = "IconImageAdd";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--imageAdd"><path d="M13.469 7.469v.35a2.748 2.748 0 0 1-1.208 1.619l-.061.043c-1.75 1.103-2.922.525-4.375-.192-1.453-.718-3.063-1.514-5.25-.525v-5.25h7V2.219H1.219V14.03H14.78V7.47H13.47Zm0 5.25H2.53V10.25c1.969-1.12 3.229-.507 4.699.21a6.922 6.922 0 0 0 3.08.945 4.856 4.856 0 0 0 2.581-.805c.202-.13.395-.273.578-.429v2.547Z"></path><path d="M14.125 4.844h-1.969V2.875h-1.312v1.969H8.875v1.312h1.969v1.969h1.312V6.156h1.969V4.844Z"></path></svg>`;
  }
};
c([
  a({ type: String, reflect: !0 })
], s.prototype, "size", 2);
c([
  a({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = c([
  m("icon-image-add")
], s);
export {
  s as IconImageAdd
};
